/* Vertical */

.mobile-navigation {
    position: fixed;
    left: 0;
    bottom: 0;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    gap: 10px;
}

.mobile-navigation .navigation-area {
    width: 100vw;
    height: 70px;
    border-radius: 14px 14px 0 0;
    background: #1F2328;
    display: flex;
    justify-content: center;
}

.mobile-navigation.standalone .navigation-area {
    height: 84px;
}

.mobile-navigation .navigation {
    width: calc(100% - 20px);
    display: flex;
    justify-content: space-between;
    padding-top: 7px;
}
.mobile-navigation .navigation .navigation-item {
    display: flex;
    flex-direction: column;
    font-size: 12px;
    font-weight: 500;
    padding: 0px 12px;
    width: auto;
    height: 56px;
    gap: 3px;
    border-radius: 14px;
    background: #1F2328;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}
.mobile-navigation .navigation .navigation-item svg {
    color: #8A919B;
    transition: color 300ms;
    width: auto;
    height: 14px;
}

.mobile-navigation .navigation .navigation-item.active {
    background: #262B31;
    transition: background 300ms;
}

.mobile-navigation .navigation .navigation-item.active svg {
    color: #2F80ED;
    transition: color 300ms;
}

.mobile-navigation .navigation .navigation-item:hover {
    background: #262B31;
    transition: background 300ms;
}

.mobile-navigation .navigation .navigation-item:hover svg {
    color: #2F80ED;
    transition: color 300ms;
}

/* Horizontal */
.mobile-navigation-horizontal {
    position: fixed;
    right: 10px;
    bottom: 10px;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    gap: 10px;
}

.mobile-navigation-horizontal .navigation-area {
    display: flex;
    gap: 10px;
}

.mobile-navigation-horizontal.standalone {
    bottom: 20px;
}

.mobile-navigation-horizontal .navigation {
    border-radius: 14px;
    background: #1F2328;
    display: flex;
    padding: 3px;
    gap: 5px;
}

.mobile-navigation-horizontal .navigation .navigation-item {
    display: flex;
    height: 56px;
    padding: 0px 10px;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 3px;
    background: #1F2328;
    transition: background 300ms;
    border-radius: 14px;
    cursor: pointer;
}
.mobile-navigation-horizontal .navigation .navigation-item svg {
    width: auto;
    height: 16px;
    color: #8A919B;
    transition: color 300ms;
}
.mobile-navigation-horizontal .navigation .navigation-item span {
    font-size: 12px;
    font-weight: 500;
}

.mobile-navigation-horizontal .navigation .navigation-item.active {
    background: #262B31;
    transition: background 300ms;
}
.mobile-navigation-horizontal .navigation .navigation-item.active svg {
    color: #2F80ED;
    transition: color 300ms;
}

.mobile-navigation-horizontal .navigation .navigation-item:hover {
    background: #262B31;
    transition: background 300ms;
}

.mobile-navigation-horizontal .navigation-menu {
    width: 62px;
    height: 62px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 3px;
    background: #1F2328;
    border-radius: 14px;
}

.mobile-navigation-horizontal .navigation-menu .navigation-menu-item {
    width: 56px;
    height: 56px;
    border-radius: 14px;
    background: #1F2328;
    transition: background 300ms;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 3px;
    flex-direction: column;
    cursor: pointer;
}

.mobile-navigation-horizontal .navigation-menu .navigation-menu-item svg {
    color: #8A919B;
}
.mobile-navigation-horizontal .navigation-menu .navigation-menu-item span {
    font-size: 12px;
    font-weight: 500;
}

.mobile-navigation-horizontal .navigation-menu .navigation-menu-item:hover {
    background: #262B31;
    transition: background 300ms;   
}

/* Scrolling buttons */

.mobile-navigation .mobile-scrolling-up-button {
    margin-right: 10px;
}

.mobile-scrolling-up-button {
    width: 40px;
    height: 40px;
    border-radius: 14px;
    background: #1f2328;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}